Bug 215533 - wishlist: authconfig support for pam_mount
wishlist: authconfig support for pam_mount
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 10:48 EST by David Johnson
Modified: 2015-10-01 09:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Johnson 2006-11-14 10:48:21 EST
Right now authconfig supports configuring the system to authenticate against a
Windows/Samba domain, which means that this can be configured during installation.

Anyone authenticating against a Windows/Samba domain almost certainly wants to
have their users' server share mounted automatically on log-in. It would be
great if authconfig could be used to configure pam_mount to do this when
configuring domain authentication, such that both pam_mount and domain
authentication can be configured during installation.
Comment 1 Christian Tosta 2010-06-30 15:05:33 EDT
Can this feature to be implemented?
Comment 2 Peter Backes 2013-10-18 12:17:07 EDT
This is a duplicate of bug 114971
Comment 3 Björn Jacke 2015-10-01 08:53:03 EDT
given that pam config files should not be mannually edited because they get overridden by authconfig it would be nice if this bug would be resolved after so many years.

Otherwise you could also drop pam_mount from the distribution as the lack of support with authconfig makes it unuable for your customers.
Comment 4 Tomas Mraz 2015-10-01 09:34:19 EDT
There is a mechanism by which you can symlink your local pam configuration to the system-auth and password-auth files and override the authconfig so it will not overwrite your local changes. See the system-auth-ac manual page.

Note You need to log in before you can comment on or make changes to this bug.